# This is the default configuration file of BungeeTabListPlus.
#
# Since the configuration of the plugin is quite complex you
# might want to have a look at the wiki from time to time.
#
# Wiki: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki
#  Placeholders: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Placeholders
#  Examples: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Examples
#

showTo: all
priority: 0

showHeaderFooter: true
header:
  - "&7&l&M----------&r  [服务器名字]  &7&l&M----------"
headerAnimationUpdateInterval: 0.2
footer: |-
  &4Powered by BungeeTabListPlus
  &fWiki:&7 https://github.com/CodeCrafter47/BungeeTabListPlus/wiki

# Configure whether hidden players appear on the tab list
# see https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Hidden-Players
hiddenPlayers: VISIBLE_TO_ADMINS

playerSets:
  all_players: all

type: FIXED_SIZE
size: 72

defaultIcon: colors/dark_gray.png
defaultPing: 1000

components:
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&e&n${server}", ping: 0}
  - {text: "&e&n${server}", ping: 0}
  - {text: "&e&n${server}", ping: 0}
  - {text: "&e&n${server}", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - !players
    playerSet: all_players
    playerOrder: "name asc"
    playerComponent: "${player vault_prefix}${player name}"
    morePlayersComponent: {text: "&7... and &e${other_count} &7others", icon: "colors/gray.png", ping: 0}
  - !spacer
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&7&l&M----------", ping: 0}
  - {text: "&cTime: &6${time H:mm:ss}", icon: "default/clock.png", ping: 0}
  - {text: "&cPlayers: &6${playerset:all_players size}", icon: "default/players.png", ping: 0}
  - {text: "&6服主Q: 星域互联", icon: "default/balance.png", ping: 0}
  - {text: "&6群号: 星域互联", icon: "default/balance.png", ping: 0}
# Custom placeholders are a powerful mechanism to add more dynamic content
# to the tab list.
# See https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Custom=Placeholders
customPlaceholders:
  afk_tag:
    !conditional
    condition: ${player essentials_afk}
    true: "&7|&oaway"
    false: ""
  viewer_colored_ping:
    !conditional
    condition: "${viewer ping} < 150"
    true: ${viewer_colored_ping0}
    false: "&c${viewer ping}"
  viewer_colored_ping0:
    !conditional
    condition: "${viewer ping} < 50"
    true: "&a${viewer ping}"
    false: "&e${viewer ping}"